The bundle is invalid. New apps and updates submitted to the App Store must be built with public

I'm unable to submit App at app store. I am using Xcode 4.6.2, and when I am uploading the app I am getting the error "The bundle is invalid. New apps and updates submitted to the App Store must be built with public"

Answers


Per Apple, all new apps and app updates submitted must be built with Xcode 5 and the iOS 7 SDK as of February 1st 2014.

Update to Xcode 5, rebuild and test. Then you should be able to submit.


I ran into the exact same issue today with Xcode 5.1 and iOS 7.1 SDK.

The solution was to update my Xcode to 5.1.1. After that I re-archived and re-submitted my app, and it went through just fine. Here is the related Apple's announcement:

Starting May 15, 2014, new apps and app updates submitted to the App Store must be built with Xcode 5.1.1. This release is available through Software Update on the Mac App Store. (https://developer.apple.com/news/)


New apps and updates submitted to the App store must be built with Xcode 5 and ios 7 SDK.

To fix this issue you MUST go to the APP STORE and install the update of Xcode.


Need Your Help

What is the purpose of ngrx/effects library?

javascript angular typescript redux ngrx

I have failed to find any usefull information about this library or what is the purpose of it.

Xcode Localization Not Working?

objective-c macos localization xcode4.5 osx-mountain-lion

I am trying to add a new localization for my app for Mac OS X (Mountain Lion).